# Verification (Coinbax API)

> Source: https://developers.coinbax.com/reference/coinbax-api/verification/
> Staging base URL: https://api-staging.coinbax.com

## Get verification info for a transaction (public)

`GET /api/v1/verify/{transactionId}`

- Auth: Public (no authentication)
- Operation ID: `VerificationController_getVerificationInfo`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `transactionId` | path | string | yes | Transaction UUID from SMS link |

### Example request

```bash
curl https://api-staging.coinbax.com/api/v1/verify/<transactionId>
```

### Responses

**200** Verification info returned

**404** Transaction not found

---

## Resend verification code (public)

`POST /api/v1/verify/{transactionId}/resend`

- Auth: Public (no authentication)
- Operation ID: `VerificationController_resendCode`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `transactionId` | path | string | yes | Transaction UUID |

### Example request

```bash
curl -X POST https://api-staging.coinbax.com/api/v1/verify/<transactionId>/resend
```

### Responses

**200** Code resent successfully

**429** Rate limited

---

## Verify SMS code (public)

`POST /api/v1/verify/{transactionId}/verify`

- Auth: Public (no authentication)
- Operation ID: `VerificationController_verifyCode`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `transactionId` | path | string | yes | Transaction UUID |

### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |

```json
{}
```

### Example request

```bash
curl -X POST https://api-staging.coinbax.com/api/v1/verify/<transactionId>/verify \
  -H "Content-Type: application/json" \
  -d '{}'
```

### Responses

**200** Code verified successfully

**400** Invalid code

**404** Transaction not found
